#include <stdio.h>
/*Programa que parsea un fichero de texto para rellenar las estrucutras correspondientes y cuenta cuantas son de cada sexo. V1.0*/ /*
############################ Autor
# Francisco Blas Izquierdo Riera <klondike>
# franxisco1988 arroba gmail punto com
# Visita 
# http://www.xiscosoft.org
# para mas informacion
#
# Si mejoras o modificas este programa, por favor comunica las mejoras al autor.
# Gracias
#
# Nombre: CantidadsegunSexo V1.0
# Descripción: Programa que parsea un fichero de texto llamado entrada.txt en la
#              misma carpeta del programa para rellenar las estrucutras
#              correspondientes a varias persona y luego comprueba cuantas hay de
#              cada sexo.
# Versión: 1.0
# Copyright (C) 2007

############################# Licencia
#    Este programa es software libre. Puede redistribuirlo y/o modificarlo
#    bajo los teminos de la Licencia Publica General de GNU segun es publicada
#    por la Free Software Foundation, bien de la version 2 de dicha Licencia
#    o bien (segun su eleccion) de cualquier version posterior.
#
#    Este programa se distribuye con la esperanza de que sea util, 
#    pero SIN NINGUNA GARANTIA, incluso sin la garantia MERCANTIL implicita o
#    sin garantizar la CONVENIENCIA PARA UN PROPOSITO PARTICULAR. 
#    Vease la Licencia Publica General de GNU para mas detalles.
#
#    Deberia haber recibido una copia de la Licencia Publica General junto
#    con este programa. Si no ha sido asi, escriba a la 
#    Free Software Foundation, Inc., en 675 Mass Ave, Cambridge, MA 02139, EEUU.
#    MIRA AQUI PARA SABER MAS ==>>  http://www.gnu.org/copyleft/gpl.html

############################# License
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    SEE HERE FOR MORE ==>>  http://www.gnu.org/copyleft/gpl.html
*/

/*Longitud máxima de los nombres de las personas*/
#define MaxNameLenght 100
/*Cantidad máxima de gente en el fichero*/
#define MaxNumberOfPeople 100

/*Archivo a abrir*/
#define File "entrada.txt"

struct people {
    int NID;
    char name[MaxNameLenght + 1];
    char sex;
};

int main() {
    int i,j;
    int numbermales = 0;
    int numberfemales = 0;
    char temp;
    struct people allpeople[MaxNumberOfPeople];
    FILE *f;
    if((f = fopen(File,"r")) == NULL) return 1;
    for (i = 0; i<MaxNumberOfPeople; i++) {
        if( fscanf(f, "%d", &allpeople[i].NID) < 1) break;
        fscanf(f," ");
        for (j=0; ((j<MaxNameLenght - 1) && ((temp = getc(f)) != '\n'))  ; j++) allpeople[i].name[j] = temp;
        allpeople[i].name[j] = '\0';
        fscanf(f, "%c", &allpeople[i].sex);
        fscanf(f," ");
    }
/*    for (j = 0; j < i; j++) printf("El nombre es: %s el DNI %d y el sexo es %c\n", allpeople[j].name, allpeople[j].NID, allpeople[j].sex);*/
    for (j = 0; j < i; j++) switch (allpeople[j].sex) {
        case 'H':
        case 'V': numbermales++; break;
        case 'M': numberfemales++; break;
    }
    printf("\nEl número de hombres es %d y el de mujeres es %d\n",numbermales,numberfemales);
    return 0;
}
